<?php

namespace NoccyLabs\JsonEdit\Tree;

trait CollapsibleNodeTrait
{
    private bool $collapsed = false;

    public function collapse(bool $collapsed): self
    {
        $this->collapsed = $collapsed;
        return $this;
    }

    public function isCollapsed(): bool
    {
        return $this->collapsed;
    }

}

